Ticket #43638

AI Settler infinite recursion - quick fix

Open Date: 2022-01-16 19:33 Last Update: 2022-01-25 00:51

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

#43630 reported by lexxie9952 affects all branches with action enablers controlled city founding - that includes S3_0. This ticket is about creating emergency fix good enough for 3.0.0 release.

Ticket History (3/6 Histories)

2022-01-16 19:33 Updated by: cazfi
  • New Ticket "AI Settler inifinite recursion - quick fix" created
2022-01-16 20:12 Updated by: cazfi
  • Resolution Update from None to Accepted
Comment

Patches to enter testing attached.

2022-01-17 04:23 Updated by: cazfi
  • Summary Updated
2022-01-25 00:51 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login